# eric6.Helpviewer.Network.FtpAccessHandler

Module implementing a scheme access handler for FTP.

### Global Attributes

None

### Classes

FtpAccessHandler | Class implementing a scheme access handler for FTP.

### Functions

None

## FtpAccessHandler

Class implementing a scheme access handler for FTP.

### Derived from

SchemeAccessHandler

### Class Attributes

None

### Class Methods

None

### Methods

FtpAccessHandler | Constructor
createRequest | Public method to create a request.
getAuthenticator | Public method to get an authenticator for the given realm.
getProxyAuthenticator | Public method to get the authenticator for the FTP proxy.
setAuthenticator | Public method to add or change an authenticator in our cache.
setProxyAuthenticator | Public method to add or change the authenticator for the FTP proxy.

### Static Methods

None

#### FtpAccessHandler (Constructor)

FtpAccessHandler(parent=None)

Constructor

parent
  reference to the parent object (QObject)

#### FtpAccessHandler.createRequest

createRequest(op, request, outgoingData=None)

Public method to create a request.

op
  the operation to be performed (QNetworkAccessManager.Operation)
request
  reference to the request object (QNetworkRequest)
outgoingData
  reference to an IODevice containing data to be sent (QIODevice)

Returns:
  reference to the created reply object (QNetworkReply)

#### FtpAccessHandler.getAuthenticator

getAuthenticator(realm)

Public method to get an authenticator for the given realm.

realm
  name of the realm to get the authenticator for (string)

Returns:
  authenticator for the given realm (QAuthenticator) or None

#### FtpAccessHandler.getProxyAuthenticator

getProxyAuthenticator()

Public method to get the authenticator for the FTP proxy.

Returns:
  authenticator for the FTP proxy (QAuthenticator)

#### FtpAccessHandler.setAuthenticator

setAuthenticator(realm, authenticator)

Public method to add or change an authenticator in our cache.

realm
  name of the realm the authenticator belongs to (string)
authenticator
  authenticator to add to the cache (QAuthenticator). If it is None, the entry will be deleted from the cache.

#### FtpAccessHandler.setProxyAuthenticator

setProxyAuthenticator(authenticator)

Public method to add or change the authenticator for the FTP proxy.

authenticator
  authenticator for the FTP proxy (QAuthenticator)

Up